aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.PutGroupPolicy

Synopsis

- data PutGroupPolicy = PutGroupPolicy {
  - pgpPolicyDocument :: Text
  - pgpPolicyName :: Text
  - pgpGroupName :: Text
  }
- data PutGroupPolicyResponse = PutGroupPolicyResponse

# Documentation

data PutGroupPolicy Source #

Adds a policy document with the specified name, associated with the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_PutGroupPolicy.html

Constructors

PutGroupPolicy |

Fields

- pgpPolicyDocument :: Text

  The policy document.

- pgpPolicyName :: Text

  Name of the policy.

- pgpGroupName :: Text

  Name of the group with whom this policy is associated.

#### Instances

Instances details

SignQuery PutGroupPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type ServiceConfiguration PutGroupPolicy |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ServiceConfiguration PutGroupPolicy = IamConfiguration

Methods

signQuery :: PutGroupPolicy -> ServiceConfiguration PutGroupPolicy queryType -> SignatureData -> SignedQuery Source #

Show PutGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy Methods showsPrec :: Int -> PutGroupPolicy -> ShowS Source # show :: PutGroupPolicy -> String Source # showList :: [PutGroupPolicy] -> ShowS Source #
Eq PutGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy Methods (==) :: PutGroupPolicy -> PutGroupPolicy -> Bool Source # (/=) :: PutGroupPolicy -> PutGroupPolicy -> Bool Source #
Ord PutGroupPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Methods

compare :: PutGroupPolicy -> PutGroupPolicy -> Ordering Source #

(<) :: PutGroupPolicy -> PutGroupPolicy -> Bool Source #

(<=) :: PutGroupPolicy -> PutGroupPolicy -> Bool Source #

(>) :: PutGroupPolicy -> PutGroupPolicy -> Bool Source #

(>=) :: PutGroupPolicy -> PutGroupPolicy -> Bool Source #

max :: PutGroupPolicy -> PutGroupPolicy -> PutGroupPolicy Source #

min :: PutGroupPolicy -> PutGroupPolicy -> PutGroupPolicy Source #

ResponseConsumer PutGroupPolicy PutGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type ResponseMetadata PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ResponseMetadata PutGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutGroupPolicy -> IORef (ResponseMetadata PutGroupPolicyResponse) -> HTTPResponseConsumer PutGroupPolicyResponse Source #

Transaction PutGroupPolicy PutGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy
type ServiceConfiguration PutGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ServiceConfiguration PutGroupPolicy = IamConfiguration

data PutGroupPolicyResponse Source #

Constructors

PutGroupPolicyResponse |

#### Instances

Instances details

AsMemoryResponse PutGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type MemoryResponse PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type MemoryResponse PutGroupPolicyResponse = PutGroupPolicyResponse

Methods

loadToMemory :: PutGroupPolicyResponse -> ResourceT IO (MemoryResponse PutGroupPolicyResponse) Source #

Show PutGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy Methods showsPrec :: Int -> PutGroupPolicyResponse -> ShowS Source # show :: PutGroupPolicyResponse -> String Source # showList :: [PutGroupPolicyResponse] -> ShowS Source #
Eq PutGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy Methods (==) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool Source # (/=) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool Source #
Ord PutGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Methods

compare :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Ordering Source #

(<) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool Source #

(<=) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool Source #

(>) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool Source #

(>=) :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> Bool Source #

max :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> PutGroupPolicyResponse Source #

min :: PutGroupPolicyResponse -> PutGroupPolicyResponse -> PutGroupPolicyResponse Source #

ResponseConsumer PutGroupPolicy PutGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type ResponseMetadata PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ResponseMetadata PutGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutGroupPolicy -> IORef (ResponseMetadata PutGroupPolicyResponse) -> HTTPResponseConsumer PutGroupPolicyResponse Source #

Transaction PutGroupPolicy PutGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy
type MemoryResponse PutGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type MemoryResponse PutGroupPolicyResponse = PutGroupPolicyResponse
type ResponseMetadata PutGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ResponseMetadata PutGroupPolicyResponse = IamMetadata